SUSE SLES12 Security Update : java-1_8_0-ibm (SUSE-SU-2017:1386-1)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote SUSE host is missing one or more security updates.

Description :

This update for java-1_8_0-ibm fixes the following issues: Version
update bsc#1038505 :

- CVE-2016-9840: zlib: Out-of-bounds pointer arithmetic in
inftrees.c

- CVE-2016-9841: zlib: Out-of-bounds pointer arithmetic in
inffast.c

- CVE-2016-9842: zlib: Undefined left shift of negative
number

- CVE-2016-9843: zlib: Big-endian out-of-bounds pointer

- CVE-2017-3544: OpenJDK: newline injection in the SMTP
client

- CVE-2017-3509: OpenJDK: improper re-use of NTLM
authenticated connections

- CVE-2017-3511: OpenJDK: untrusted extension directories
search path in Launcher

- CVE-2017-3533: OpenJDK: newline injection in the FTP
client

- CVE-2017-3539: OpenJDK: MD5 allowed for jar verification

- CVE-2017-1289: IBM JDK: XML External Entity Injection
(XXE) error when processing XML data

Note that Tenable Network Security has extracted the preceding
description block directly from the SUSE security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

https://bugzilla.suse.com/1038505
https://www.suse.com/security/cve/CVE-2016-9840.html
https://www.suse.com/security/cve/CVE-2016-9841.html
https://www.suse.com/security/cve/CVE-2016-9842.html
https://www.suse.com/security/cve/CVE-2016-9843.html
https://www.suse.com/security/cve/CVE-2017-1289.html
https://www.suse.com/security/cve/CVE-2017-3509.html
https://www.suse.com/security/cve/CVE-2017-3511.html
https://www.suse.com/security/cve/CVE-2017-3533.html
https://www.suse.com/security/cve/CVE-2017-3539.html
https://www.suse.com/security/cve/CVE-2017-3544.html
http://www.nessus.org/u?4d6ec9dc

Solution :

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 12-SP2:zypper in -t
patch SUSE-SLE-SDK-12-SP2-2017-844=1

SUSE Linux Enterprise Software Development Kit 12-SP1:zypper in -t
patch SUSE-SLE-SDK-12-SP1-2017-844=1

SUSE Linux Enterprise Server 12-SP2:zypper in -t patch
SUSE-SLE-SERVER-12-SP2-2017-844=1

SUSE Linux Enterprise Server 12-SP1:zypper in -t patch
SUSE-SLE-SERVER-12-SP1-2017-844=1

To bring your system up-to-date, use 'zypper patch'.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.5
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now